Skip to main content

Inventory Rooms

Endpoints​

EndpointDescription
Location RoomsReturns all rooms for a location, and specifies if the room is the default selling room or default receiving room.
Location RoomReturns a single room for a location, and specifies if the room is the default selling room or default receiving room.

Location Rooms​

GET /availability/v1/Companies/{CompanyId}/Locations/{LocationId}/Rooms

Returns all rooms for a location, and specifies if the room is the default selling room or default receiving room.

Example of a call would be:​

Example: https://api.covasoft.net/availability/v1/Companies/{CompanyId}/Locations/{LocationId}/Rooms

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe CompanyId of the company being searched.integerRequired
LocationIdThe LocationId to query rooms for.integerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Collection of RoomsReturn

NameDescriptionTypeAdditional information
RoomIdintegerNone.
NamestringNone.
IsDefaultSellingbooleanNone.
IsDefaultReceivingbooleanNone.

Response Formats​

application/json, text/json

[
{
"RoomId": 1,
"Name": "sample string 2",
"IsDefaultSelling": true,
"IsDefaultReceiving": true
},
{
"RoomId": 1,
"Name": "sample string 2",
"IsDefaultSelling": true,
"IsDefaultReceiving": true
}
]

Location Room​

GET /availability/v1/Companies({CompanyId})/Entities({LocationId})/Rooms({RoomId})

Returns a single room for a location, and specifies if the room is the default selling room or default receiving room.

Example of a call would be:​

Example: https://api.covasoft.net/availability/v1/Companies({CompanyId})/Entities({LocationId})/Rooms({RoomId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe CompanyId of the company being searched.integerRequired
LocationIdThe LocationId the room belongs to.integerRequired
RoomIdThe Id of the room to retrieve.integerRequired

Body Parameters​

None.

Response Information​

Resource Description​

RoomsReturn

NameDescriptionTypeAdditional information
RoomIdintegerNone.
NamestringNone.
IsDefaultSellingbooleanNone.
IsDefaultReceivingbooleanNone.

Response Formats​

application/json, text/json

{
"RoomId": 184,
"Name": "Sales Floor",
"IsDefaultSelling": true,
"IsDefaultReceiving": false
}